org.apache.ignite.internal.processors.cache.persistence.metastorage

## Interface ReadOnlyMetastorage

All Known Subinterfaces:
  ReadWriteMetastorage

All Known Implementing Classes:
  MetaStorage

    public interface ReadOnlyMetastorage

### Method Summary

All Methods Instance Methods Abstract Methods
`Serializable` `read(String key)`
`Map<String,? extends Serializable>` `readForPredicate(IgnitePredicate<String> keyPred)` Read all keys matching provided predicate.

### Method Detail

#### read

    Serializable read(String key)
               throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### readForPredicate

    Map<String,? extends Serializable> readForPredicate(IgnitePredicate<String> keyPred)
                                                 throws IgniteCheckedException

Read all keys matching provided predicate.

Parameters:
  `keyPred` - Key predicate.
Returns:
  Matched key-value pairs.
Throws:
  `IgniteCheckedException` - If failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018